/**
 * Created by lion on 8/1/16.
 */

import React from 'react';
import pure from 'recompose/pure';
import SvgIcon from '../SvgIcon';

let Opacity = (props) => (
    <SvgIcon {...props}>
        <defs>
            <style>
                {'.cls-1{opacity:0.2;}.cls-2{fill:#ffffff;fill-rule:evenodd;}.cls-3{opacity:0.1;}.cls-4{opacity:0.8;}.cls-5{opacity:0.6;}.cls-6{opacity:0.5;}.cls-7{opacity:0.3;}'}
            </style>
        </defs>
        <title>ic_tool_tile</title>
        <g className="cls-1">
            <path className="cls-2" d="M11.5,14v5h5V14h-5Zm0,15h5V24h-5v5Zm0,10h5V34h-5v5Z"/>
        </g>
        <g className="cls-3">
            <path className="cls-2" d="M6.5,9v5h5V9h-5Zm0,15h5V19h-5v5Zm0,10h5V29h-5v5Z"/>
        </g>
        <path className="cls-2" d="M36.5,29h5v5h-5V29Z"/>
        <g className="cls-4">
            <path className="cls-2" d="M31.5,14h5v5h-5V14Z"/>
            <path className="cls-2" d="M31.5,24h5v5h-5V24Z"/>
            <path className="cls-2" d="M31.5,34h5v5h-5V34Z"/>
            <path className="cls-2" d="M31.5,9h5v5h-5V9Z"/>
            <path className="cls-2" d="M31.5,19h5v5h-5V19Z"/>
            <path className="cls-2" d="M31.5,29h5v5h-5V29Z"/>
        </g>
        <g className="cls-5">
            <path className="cls-2" d="M26.5,9h5v5h-5V9Z"/>
            <path className="cls-2" d="M26.5,19h5v5h-5V19Z"/>
            <path className="cls-2" d="M26.5,29h5v5h-5V29Z"/>
            <path className="cls-2" d="M26.5,14h5v5h-5V14Z"/>
            <path className="cls-2" d="M26.5,24h5v5h-5V24Z"/>
            <path className="cls-2" d="M26.5,34h5v5h-5V34Z"/>
        </g>
        <g className="cls-6">
            <path className="cls-2" d="M21.5,14h5v5h-5V14Z"/>
            <path className="cls-2" d="M21.5,24h5v5h-5V24Z"/>
            <path className="cls-2" d="M21.5,34h5v5h-5V34Z"/>
        </g>
        <g className="cls-7">
            <path className="cls-2" d="M16.5,9h5v5h-5V9Z"/>
            <path className="cls-2" d="M16.5,19h5v5h-5V19Z"/>
            <path className="cls-2" d="M16.5,29h5v5h-5V29Z"/>
        </g>
        <path className="cls-2" d="M36.5,9h5v5h-5V9Z"/>
        <path className="cls-2" d="M36.5,19h5v5h-5V19Z"/>
        <path className="cls-2" d="M36.5,14h5v5h-5V14Z"/>
        <path className="cls-2" d="M36.5,24h5v5h-5V24Z"/>
        <path className="cls-2" d="M36.5,34h5v5h-5V34Z"/>
    </SvgIcon>
);
Opacity = pure(Opacity);
Opacity.displayName = 'Opacity';
// ActionAlarmAdd.muiName = 'SvgIcon';

export default Opacity;
