/**
 * Created by lion on 7/27/16.
 */
import React, {PropTypes, Component}  from 'react';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';
import FloatingActionButton from 'material-ui/FloatingActionButton';
// import ContentAdd from 'material-ui/svg-icons/content/add';
import injectTapEventPlugin from 'react-tap-event-plugin';
// import mui from 'material-ui'
import ContentCreate from 'material-ui/svg-icons/content/create'
import ContentClear from 'material-ui/svg-icons/content/clear'
import ContentFlag from 'material-ui/svg-icons/content/flag'

injectTapEventPlugin();


class TestButton extends Component {

    static propTypes = {
        clickHandle:PropTypes.func,
        type:PropTypes.string,
        active:PropTypes.bool,
        mini:PropTypes.bool
    };

    static defaultProps = {
        type:'edit',
        active:false,
        mini:true
    }

    onClickHandle(e){
       this.props.clickHandle();
    }

    render() {

        // const styles = getStyles(this.props);
        let child

        if(this.props.type=="edit"){
            child = <ContentCreate/>
        }else if(this.props.type=="reset"){
            child = <ContentClear/>
        }else if(this.props.type=="finish"){
            child = <ContentFlag/>
        }

        return (
            <MuiThemeProvider>
                <FloatingActionButton mini={this.props.mini} secondary={this.props.active} onMouseDown={this.onClickHandle.bind(this)}>
                    {child}
                </FloatingActionButton>
            </MuiThemeProvider>

        );
    }
}

export default TestButton;