/**
 * Created by lion on 7/28/16.
 */


let postData = {
    init: {
        "objects": [
            {
                "type": "rect",
                "originX": "left",
                "originY": "top",
                "left": 50,
                "top": 50,
                "width": 50,
                "height": 50,
                "fill": "rgb(215,22,24)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "rx": 0,
                "ry": 0
            },
            {
                "type": "rect",
                "originX": "left",
                "originY": "top",
                "left": 150,
                "top": 50,
                "width": 50,
                "height": 50,
                "fill": "rgb(29,41,116)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "rx": 0,
                "ry": 0
            },
            {
                "type": "rect",
                "originX": "left",
                "originY": "top",
                "left": 250,
                "top": 50,
                "width": 50,
                "height": 50,
                "fill": "rgb(243,201,29)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "rx": 0,
                "ry": 0
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 50,
                "top": 160,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.35,
                "scaleY": 0.35,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/titleBg.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 50,
                "top": 500,
                "width": 96.65,
                "height": 61.02,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "POP",
                "fontSize": "48",
                "fontWeight": "normal",
                "fontFamily": "Arial Black",
                "fontStyle": "",
                "lineHeight": ".8",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 50,
                "top": 550,
                "width": 96.65,
                "height": 61.02,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "CORN",
                "fontSize": "42",
                "fontWeight": "normal",
                "fontFamily": "Arial Black",
                "fontStyle": "",
                "lineHeight": ".8",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 50,
                "top": 400,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.15,
                "scaleY": 0.15,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/e1.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 150,
                "top": 400,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.15,
                "scaleY": 0.15,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/e2.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 250,
                "top": 400,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.15,
                "scaleY": 0.15,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/e3.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 350,
                "top": 400,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.15,
                "scaleY": 0.15,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/e4.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 250,
                "top": 550,
                "width": 96.65,
                "height": 61.02,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "VINYL FIGURE",
                "fontSize": "24",
                "fontWeight": "normal",
                "fontFamily": "Arial Black",
                "fontStyle": "",
                "lineHeight": ".8",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 50,
                "top": 650,
                "width": 96.65,
                "height": 61.02,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "WHITH GLOVES ARE TRENDY\nAND RETRO DRESSING",
                "fontSize": "18",
                "fontWeight": "normal",
                "fontFamily": "Arial",
                "fontStyle": "",
                "lineHeight": ".8",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 50,
                "top": 750,
                "width": 96.65,
                "height": 61.02,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "NET WT. 3.5 OZ(100 grams)",
                "fontSize": "14",
                "fontWeight": "normal",
                "fontFamily": "Arial",
                "fontStyle": "",
                "lineHeight": "1",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            }
        ],
        "background": "rgb(255,255,255)"
    },
    complete: {
        "objects": [
            {
                "type": "rect",
                "originX": "left",
                "originY": "top",
                "left": 0,
                "top": 0,
                "width": 500,
                "height": 780,
                "fill": "rgb(215,22,24)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "rx": 0,
                "ry": 0
            },
            {
                "type": "rect",
                "originX": "left",
                "originY": "top",
                "left": 0,
                "top": 0,
                "width": 500,
                "height": 200,
                "fill": "rgb(29,41,116)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "rx": 0,
                "ry": 0
            },
            {
                "type": "rect",
                "originX": "left",
                "originY": "top",
                "left": 0,
                "top": 730,
                "width": 500,
                "height": 50,
                "fill": "rgb(243,201,29)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1,
                "scaleY": 1,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "rx": 0,
                "ry": 0
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 60,
                "top": 110,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.85,
                "scaleY": 0.85,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/titleBg.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 103,
                "top": 191.67,
                "width": 109.31,
                "height": 54.24,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 2.7,
                "scaleY": 2.7,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "POP",
                "fontSize": "48",
                "fontWeight": "normal",
                "fontFamily": "Arial Black",
                "fontStyle": "",
                "lineHeight": ".8",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 106.99,
                "top": 301,
                "width": 135.31,
                "height": 47.46,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 2.15,
                "scaleY": 2.15,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "CORN",
                "fontSize": "42",
                "fontWeight": "normal",
                "fontFamily": "Arial Black",
                "fontStyle": "",
                "lineHeight": ".8",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 34.47,
                "top": 33,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.18,
                "scaleY": 0.18,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/e1.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 375.01,
                "top": 18,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.19,
                "scaleY": 0.19,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/e2.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 1.24,
                "top": 271,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.24,
                "scaleY": 0.24,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/e3.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "image",
                "originX": "left",
                "originY": "top",
                "left": 407.16,
                "top": 228,
                "width": 449,
                "height": 458,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 0,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 0.22,
                "scaleY": 0.22,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "src": "http://localhost:8080/example/img/e4.svg",
                "filters": [],
                "resizeFilters": [],
                "crossOrigin": "",
                "alignX": "none",
                "alignY": "none",
                "meetOrSlice": "meet"
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 109.98,
                "top": 393,
                "width": 122.91,
                "height": 27.12,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 2.32,
                "scaleY": 2.32,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "VINYL FIGURE",
                "fontSize": "24",
                "fontWeight": "normal",
                "fontFamily": "impact",
                "fontStyle": "",
                "lineHeight": ".8",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 72,
                "top": 573,
                "width": 259.03,
                "height": 36.61,
                "fill": "rgb(255,255,255)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1.4,
                "scaleY": 1.4,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "WHITH GLOVES ARE TRENDY\nAND RETRO DRESSING",
                "fontSize": "18",
                "fontWeight": "normal",
                "fontFamily": "Arial",
                "fontStyle": "",
                "lineHeight": "1",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            },
            {
                "type": "text",
                "originX": "left",
                "originY": "top",
                "left": 24,
                "top": 748.67,
                "width": 178.14,
                "height": 15.82,
                "fill": "rgb(0,0,0)",
                "stroke": null,
                "strokeWidth": 1,
                "strokeDashArray": null,
                "strokeLineCap": "butt",
                "strokeLineJoin": "miter",
                "strokeMiterLimit": 10,
                "scaleX": 1.21,
                "scaleY": 1.21,
                "angle": 0,
                "flipX": false,
                "flipY": false,
                "opacity": 1,
                "shadow": null,
                "visible": true,
                "clipTo": null,
                "backgroundColor": "",
                "fillRule": "nonzero",
                "globalCompositeOperation": "source-over",
                "transformMatrix": null,
                "skewX": 0,
                "skewY": 0,
                "text": "NET WT. 3.5 OZ(100 grams)",
                "fontSize": "14",
                "fontWeight": "normal",
                "fontFamily": "Arial",
                "fontStyle": "",
                "lineHeight": "1",
                "textDecoration": "",
                "textAlign": "center",
                "textBackgroundColor": ""
            }
        ],
        "background": "rgb(255,255,255)"
    }
}

export default postData;